MKFS.CRAMFS(8)

NAZWA
mkfs.cramfs - tworzy system plików skompresowanego ROM-u

SKŁADNIA

mkfs.cramfs [opcje] katalog plik

OPIS

Pliki w systemie plików cramfs są kompresowane za pomocą zlib, strona po stronie, pozwalając na losowy dostęp do odczytu. Metadane nie są kompresowane, ale są przedstawione w zwięzłej formie, która lepiej wykorzystuje miejsce w porównaniu do tradycyjnych systemów plików.

System plików został celowo pomyślany jako tylko do odczytu, w celu uproszczenia jego projektu; losowy dostęp do zapisu jest trudny w implementacji. cramfs jest dostarczany z narzędziem (mkcramfs(8)) służącym do pakowania plików do nowych obrazów cramfs.

Rozmiary plików są ograniczone do mniej niż 16 MB.

Maksymalny rozmiar systemu plików wynosi nieco poniżej 272 MB (ostatni plik w systemie plików musi rozpoczynać się przed blokiem 256 MB, lecz może wykraczać poza niego).

ARGUMENTY

Katalog jest po prostu korzeniem drzewa katalogów, z których chce się utworzyć skompresowany system plików.

Plik będzie zawierał system plików cram, który można później zamontować.

OPCJE

-v
    Włącza szczegołowe komunikaty.

-E
    Traktuje wszystkie ostrzeżeia jako błędy, co jest odzwierciedlone w statusie wyjściowym polecenia.

-b rozmiar-bloku
    Korzysta z podanego rozmiaru bloku, który musi być podzielny przez rozmiar strony.

-e edycja
    Korzysta z podanego numeru edycji systemu plików w superbloku.

-N big|little|host
    Use the specified endianness. The default is host.

-i plik
    Umieszcza plik w systemie plików cramfs.

-n nazwa
    Ustawia nazwę systemu plików cramfs.

-p
    Uzupełnia kod rozruchowy do 512 bajtów.

-s
    Opcja jest ignorowana. Pierwotnie -s włączało sortowanie wpisów katalogów.

-z
    Jawnie tworzy dziury.

-l[=tryb]
    Use an exclusive BSD lock for the device or file that is operated upon. The optional argument mode can be yes (1), no (0), or nonblock. If the mode argument is omitted, it defaults to yes. This option overrides the environment variable $LOCK_BLOCK_DEVICE. The default is to not use any lock at all, but using a lock is recommended to avoid collisions with systemd-udevd(8) or other tools.

-h, --help
    Wyświetla ten tekst i wychodzi.

-V, --version
    Wyświetla wersję i wychodzi.

STATUS ZAKOŃCZENIA

0
    sukces

8
    błąd działania, taki jak brak możliwości zaalokowania pamięci

ZOBACZ TAKŻE

fsck.cramfs(8), mount(8)

ZGŁASZANIE BŁĘDÓW

Problemy należy zgłaszać w

DOSTĘPNOŚĆ

Polecenie mkfs.cramfs jest częścią pakietu util-linux, który można pobrać ze strony